MySQL Lists are EOL. Please join:

List:Commits« Previous MessageNext Message »
From:Joerg Bruehe Date:August 13 2009 6:05pm
Subject:bzr commit into mysql-5.1 branch (joerg:3023)
View as plain text  
#At file:///MySQL/REPO/V51/bug33248-5.1/ based on revid:build@stripped

 3023 Joerg Bruehe	2009-08-13 [merge]
      Not to be pushed separately.
      
      First part of fixing bug#33248
            "Reduce differences in spec files":
      Eliminate trailing blanks to have a consistent style
      (upmerge from 5.0, and extended to the new lines of 5.1).

    modified:
      support-files/mysql.spec.sh
=== modified file 'support-files/mysql.spec.sh'
--- a/support-files/mysql.spec.sh	2009-05-27 15:14:09 +0000
+++ b/support-files/mysql.spec.sh	2009-08-13 18:01:56 +0000
@@ -1,14 +1,14 @@
 # Copyright 2000-2008 MySQL AB, 2008 Sun Microsystems, Inc.
-# 
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; version 2 of the License.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; see the file COPYING. If not, write to the
 # Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston
@@ -143,7 +143,7 @@ Obsoletes: mysql-client
 Provides: mysql-client
 
 %description client
-This package contains the standard MySQL clients and administration tools. 
+This package contains the standard MySQL clients and administration tools.
 
 %{see_base}
 
@@ -153,8 +153,8 @@ Summary:	MySQL - ndbcluster storage engi
 Group:		Applications/Databases
 
 %description ndb-storage
-This package contains the ndbcluster storage engine. 
-It is necessary to have this package installed on all 
+This package contains the ndbcluster storage engine.
+It is necessary to have this package installed on all
 computers that should store ndbcluster table data.
 
 %{see_base}
@@ -165,7 +165,7 @@ Group:		Applications/Databases
 
 %description ndb-management
 This package contains ndbcluster storage engine management.
-It is necessary to have this package installed on at least 
+It is necessary to have this package installed on at least
 one computer in the cluster.
 
 %{see_base}
@@ -424,8 +424,9 @@ install -d $RBR%{_libdir}
 install -d $RBR%{_mandir}
 install -d $RBR%{_sbindir}
 
+# Install all binaries stripped
 
-# Install all binaries 
+# Install all binaries
 (cd $MBD && make install DESTDIR=$RBR benchdir_root=%{_datadir})
 # Old packages put shared libs in %{_libdir}/ (not %{_libdir}/mysql), so do
 # the same here.
@@ -562,7 +563,7 @@ fi
 # Create a MySQL user and group. Do not report any problems if it already
 # exists.
 groupadd -r %{mysqld_group} 2> /dev/null || true
-useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_group} %{mysqld_user} 2> /dev/null || true 
+useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_group} %{mysqld_user} 2> /dev/null || true
 # The user may already exist, make sure it has the proper group nevertheless (BUG#12823)
 usermod -g %{mysqld_group} %{mysqld_user} 2> /dev/null || true
 
@@ -592,7 +593,7 @@ sleep 2
 #systems, we recommend MySQL Enterprise, which contains enterprise-ready
 #software, intelligent advisory services, and full production support with
 #scheduled service packs and more.  Visit www.mysql.com/enterprise for more
-#information." 
+#information."
 
 %if %{CLUSTER_BUILD}
 %post ndb-storage
@@ -633,7 +634,7 @@ fi
 %files server
 %defattr(-,root,root,0755)
 
-%doc mysql-release-%{mysql_version}/COPYING mysql-release-%{mysql_version}/README 
+%doc mysql-release-%{mysql_version}/COPYING mysql-release-%{mysql_version}/README
 %doc mysql-release-%{mysql_version}/support-files/my-*.cnf
 %if %{CLUSTER_BUILD}
 %doc mysql-release-%{mysql_version}/support-files/ndb-*.ini
@@ -840,7 +841,7 @@ fi
 %doc %attr(644, root, man) %{_mandir}/man1/mysqltest_embedded.1*
 
 %files embedded
-%defattr(-, root, root, 0755) 
+%defattr(-, root, root, 0755)
 %attr(644, root, root) %{_libdir}/mysql/libmysqld.a
 
 # The spec file changelog only includes changes made to the spec file
@@ -851,7 +852,7 @@ fi
 
 - Correct yesterday's fix, so that it also works for the last flag,
   and fix a wrong quoting: un-quoted quote marks must not be escaped.
-  
+
 * Thu Nov 06 2008 Kent Boortz <kent.boortz@stripped>
 
 - Removed "mysql_upgrade_shell"
@@ -861,7 +862,7 @@ fi
 
 - Modify CFLAGS and CXXFLAGS such that a debug build is not optimized.
   This should cover both gcc and icc flags.  Fixes bug#40546.
-  
+
 * Fri Aug 29 2008 Kent Boortz <kent@stripped>
 
 - Removed the "Federated" storage engine option, and enabled in all
@@ -896,7 +897,7 @@ fi
 
 * Wed May 02 2007 Joerg Bruehe <joerg@stripped>
 
-- "ndb_size.tmpl" is not needed any more, 
+- "ndb_size.tmpl" is not needed any more,
   "man1/mysql_install_db.1" lacked the trailing '*'.
 
 * Sat Apr 07 2007 Kent Boortz <kent@stripped>
@@ -935,12 +936,12 @@ fi
 
 * Thu Nov 30 2006 Joerg Bruehe <joerg@stripped>
 
-- Call "make install" using "benchdir_root=%{_datadir}", 
+- Call "make install" using "benchdir_root=%{_datadir}",
   because that is affecting the regression test suite as well.
 
 * Thu Nov 16 2006 Joerg Bruehe <joerg@stripped>
 
-- Explicitly note that the "MySQL-shared" RPMs (as built by MySQL AB) 
+- Explicitly note that the "MySQL-shared" RPMs (as built by MySQL AB)
   replace "mysql-shared" (as distributed by SuSE) to allow easy upgrading
   (bug#22081).
 
@@ -1056,8 +1057,8 @@ fi
 
 * Mon Dec 05 2005 Joerg Bruehe <joerg@stripped>
 
-- Avoid using the "bundled" zlib on "shared" builds: 
-  As it is not installed (on the build system), this gives dependency 
+- Avoid using the "bundled" zlib on "shared" builds:
+  As it is not installed (on the build system), this gives dependency
   problems with "libtool" causing the build to fail.
   (Change was done on Nov 11, but left uncommented.)
 
@@ -1247,7 +1248,7 @@ fi
 
 * Thu Feb 12 2004 Lenz Grimmer <lenz@stripped>
 
-- when using gcc, _always_ use CXX=gcc 
+- when using gcc, _always_ use CXX=gcc
 - replaced Copyright with License field (Copyright is obsolete)
 
 * Tue Feb 03 2004 Lenz Grimmer <lenz@stripped>
@@ -1337,7 +1338,7 @@ fi
 
 * Wed Nov 27 2002 Lenz Grimmer <lenz@stripped>
 
-- moved init script from /etc/rc.d/init.d to /etc/init.d (the majority of 
+- moved init script from /etc/rc.d/init.d to /etc/init.d (the majority of
   Linux distributions now support this scheme as proposed by the LSB either
   directly or via a compatibility symlink)
 - Use new "restart" init script action instead of starting and stopping
@@ -1352,7 +1353,7 @@ fi
   (mixing 3.23 and 4.0 packages)
 
 * Fri Aug 09 2002 Lenz Grimmer <lenz@stripped>
- 
+
 - Turn off OpenSSL in MySQL-Max for now until it works properly again
 - enable RAID for the Max binary instead
 - added compatibility link: safe_mysqld -> mysqld_safe to ease the


Attachment: [text/bzr-bundle] bzr/joerg@mysql.com-20090813180156-lkwmtec6d20bg20w.bundle
Thread
bzr commit into mysql-5.1 branch (joerg:3023)Joerg Bruehe13 Aug